// At the present time we will not be operating at very large distances so we can
// approximate the latitude and longitude as rectangular coordinates with an interpolation
// scheme dependent upon where we are at along the equator. 

void calcDesiredHeadingandDistance(void){
  float alpha = atan2(abs((waypointLat-currentLat)*dLat),abs((waypointLon-currentLon)*dLong)) *57.295780;
  dist = sqrt(sq((waypointLat-currentLat)*dLat)+sq((waypointLon-currentLon)*dLong));
    // Get Direction to Waypoint
    if (currentLat > waypointLat && currentLon > waypointLon) {
      dir = 270-alpha;}
    else if (currentLat < waypointLat && currentLon > waypointLon) {
      dir = 270+alpha;}
    else if (currentLat > waypointLat && currentLon < waypointLon) {
      dir = 90+alpha;}
    else {
      dir = 90-alpha;}
      // Calculate turn value
    if (dir > heading) {
      turn = dir - heading; turndir = 0;}
    else {
      turn = 360 - heading + dir; turndir = 0;}
      // turn left if greater than 180
    if(turn > 180){
      turn = 360 - turn;
      // if turndir = 1 then turn left, if turndir = 0 turn right
      turndir = 1;
    }
}

