 #define M6CS A0 // Motor 6 Current Sensor
 #define M1CS A1 // Motor 1 Current Sensor
 #define M6EN 22 // Motor 6 Enable
 #define M1EN 23 // Motor 1 Enable
 #define M6INA 24 // Motor 6 Input A
 #define M6INB 25 // Motor 6 Input B
 #define M1INA 26 // Motor 1 Input A
 #define M1INB 27 // Motor 1 Input B
 #define M6PWM 2 // Motor 6 PWM Signal
 #define M1PWM 3 // Motor 1 PWM Signal
 
 #define M4CS A2 // Motor 4 Current Sensor
 #define M5CS A3 // Motor 5 Current Sensor
 #define M4EN 28 // Motor 4 Enable
 #define M5EN 29 // Motor 5 Enable
 #define M4INA 30 // Motor 4 Input A
 #define M4INB 31 // Motor 4 Input B
 #define M5INA 32 // Motor 5 Input A
 #define M5INB 33 // Motor 5 Input B
 #define M4PWM 4 // Motor 4 PWM Signal
 #define M5PWM 5 // Motor 5 PWM Signal

 #define M3CS A4 // Motor 3 Current Sensor
 #define M2CS A5 // Motor 2 Current Sensor
 #define M3EN 34 // Motor 3 Enable
 #define M2EN 37 // Motor 2 Enable
 #define M3INA 35 // Motor 3 Input A
 #define M3INB 36 // Motor 3 Input B
 #define M2INA 38 // Motor 2 Input A
 #define M2INB 39 // Motor 2 Input B
 #define M3PWM 6 // Motor 3 PWM Signal
 #define M2PWM 7 // Motor 2 PWM Signal


 #define TRIG1 40 // Ultrasonic 1 Trigger
 #define ECHO1 41 // Ultrasonic 1 Echo

 #define TRIG2 42 // Ultrasonic 2 Trigger
 #define ECHO2 43 // Ultrasonic 2 Echo

 #define LED   50 // LED for bluetooth verification

void setup()
{
  // Clean this up with Port Pin Adressing
  pinMode(M1CS, INPUT);
  pinMode(M1EN, OUTPUT);
  pinMode(M1INA, OUTPUT);
  pinMode(M1INB, OUTPUT);
  pinMode(M1PWM, OUTPUT);
  pinMode(M6CS, INPUT);
  pinMode(M6EN, OUTPUT);
  pinMode(M6INA, OUTPUT);
  pinMode(M6INB, OUTPUT);
  pinMode(M6PWM, OUTPUT);
  pinMode(M2CS, INPUT);
  pinMode(M2EN, OUTPUT);
  pinMode(M2INA, OUTPUT);
  pinMode(M2INB, OUTPUT);
  pinMode(M2PWM, OUTPUT);
  pinMode(M3CS, INPUT);
  pinMode(M3EN, OUTPUT);
  pinMode(M3INA, OUTPUT);
  pinMode(M3INB, OUTPUT);
  pinMode(M3PWM, OUTPUT);
  pinMode(M4CS, INPUT);
  pinMode(M4EN, OUTPUT);
  pinMode(M4INA, OUTPUT);
  pinMode(M4INB, OUTPUT);
  pinMode(M4PWM, OUTPUT);
  pinMode(M5CS, INPUT);
  pinMode(M5EN, OUTPUT);
  pinMode(M5INA, OUTPUT);
  pinMode(M5INB, OUTPUT);
  pinMode(M5PWM, OUTPUT);
  
DDRK &= ~(0x03); // Configure PK0 and PK1 as inputs
PORTK |= 0x03; // Include Pull up Resistors
cli();            // Disable Interrupts 
PCICR |= 0x04;    // Enables Port K Pin Change Interrupts
PCMSK2 |= 0b00000110;   // PCINT17:16 Enables Interrupts on these A9 & A10
PK_Last = PINK;
sei();            // Enable Interrupts

Serial.begin(9600);
}

void loop()
{
  forward(motor_speed1,motor_speed0);
  Serial.print("Motor 1 Delay Value: ");
  Serial.println(motor_delay1);
  Serial.print("Motor 0 Delay Value: ");
  Serial.println(motor_delay0);
} 
